import { ElMessage } from 'element-plus';
import request from '/@/utils/request';

/**
 * @summary 获取厂商选择列表
 */
export const GetSupplierSelectListStd = async (req: any = request) => {
	return req({
		url: '/Assets/Supplier/Std/GetSelectList@V1.0',
		method: 'GET',
	});
};

/**
 * 返回厂商列表
 * @returns
 */
export const getSupplierSelectList = async (req: any = request) => {
	const res = await GetSupplierSelectListStd(req);

	if (res?.Code === 0) {
		return res.Data || [];
	} else {
		ElMessage.error('获取厂商列表失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return undefined;
	}
};
